## pslib 0.4.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -115,7 +115,7 @@
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
 SET(CPACK_PACKAGE_VERSION_MAJOR "0")
 SET(CPACK_PACKAGE_VERSION_MINOR "4")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_PATCH "6")
 SET(CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 
 SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
@@ -142,4 +142,4 @@
 #	SET_TARGET_PROPERTIES(${PS_LIB} PROPERTIES LINK_FLAGS "/NODEFAULTLIB:msvcrt.lib")
 ENDIF(WIN32)
 
-TARGET_LINK_LIBRARIES(${PS_LIB} ${PNG_LIBRARIES} ${JPEG_LIBRARIES} ${UNGIF_LIBRARIES})
+TARGET_LINK_LIBRARIES(${PS_LIB} ${PNG_LIBRARIES} ${JPEG_LIBRARIES} ${TIFF_LIBRARIES} ${UNGIF_LIBRARIES})
