=== debian/changelog ===
pslib (0.4.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:41:05 +1100

pslib (0.4.7-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:52:34 +0000

pslib (0.4.7-1) unstable; urgency=low

  * New upstream version, fixes configure.ac (Closes: #944309)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 7 Nov 2019 17:50:45 +0100

pslib (0.4.6-1) unstable; urgency=low

  * New upstream version.
  * Switch to automatic dbgsym packages.
  * Bump standards-version
  * Use debhelper 11 compat, which uses autoreconf and --parallel by default.

 -- Uwe Steinmann <steinm@debian.org>  Tue, 5 Nov 2019 11:16:05 +0100

pslib (0.4.5-3) unstable; urgency=low

  * depend on libpng-dev instead of libpng12-dev (Closes: #662478)
  * depend on libjpeg-dev instead of libjpeg62-dev (Closes: 644802)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 5 Mar 2012 8:28:21 +0100

pslib (0.4.5-2) unstable; urgency=low

  * do not put .la files into pslib-dev (Closes: #633219)
  * create debug package pslib1-dbg

 -- Uwe Steinmann <steinm@debian.org>  Tue, 19 Jul 2011 15:01:13 +0200

pslib (0.4.5-1) unstable; urgency=low

  * New upstream version.
  * pslib-dev now depends on libjpeg-dev instead of libjpeg62-dev
    (Closes: #629977)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 23 Jun 2011 11:47:12 +0200

pslib (0.4.4-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Fri, 20 Nov 2009 21:10:55 +0100

pslib (0.4.3-1) unstable; urgency=low

  * New upstream version.
  * No more symbol conflict with newer glibc (Closes: #552822)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 29 Oct 2009 16:44:55 +0100

pslib (0.4.2-1) unstable; urgency=low

  * New upstream version.
  * Replaced dependency on libungif4-dev by libgif-dev (Closes: #540538)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 23 Nov 2007 15:12:36 +0100

pslib (0.4.1-1) unstable; urgency=low

  * New upstream version.
  * made watch file work with sourceforge (Closes: #450174)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 23 Nov 2007 15:12:36 +0100

pslib (0.4.0-1) unstable; urgency=low

  * New upstream version.
  * shlibs file now requires pslib 0.4.0

 -- Uwe Steinmann <steinm@debian.org>  Mon, 25 Jun 2007 23:29:13 +0200

pslib (0.3.0-1) unstable; urgency=low

  * New upstream version.
    - double new line isn't treated as the end of a paragraph in
      PS_show_boxed() if linebreak is set (Closes: #429543)
    - default error handler prints to stderr instead of
      stdout (Closes: #429544) 
  * Fixed various lintian warnings

 -- Uwe Steinmann <steinm@debian.org>  Sat, 23 Jun 2007 22:43:49 +0200

pslib (0.2.7-1) unstable; urgency=low

  * New upstream version.
  * The alpha channel of RGB pngs is stripped to prevent a segmentation
    fault. This is a temporary solution until a real fix is found.
    (Closes: #361148)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 07 Jun 2006 17:45:02 +0200

pslib (0.2.6-2) unstable; urgency=low

  * fixed dependency for pslib-dev (Closes: #356808)
  * set DH_COMPAT to 4

 -- Uwe Steinmann <steinm@debian.org>  Tue, 14 Mar 2006 17:38:28 +0100

pslib (0.2.6-1) unstable; urgency=low

  * New upstream version.
  * fixed typos in de.po (Closes: #313931)

 -- Uwe Steinmann <steinm@debian.org>  Thu, 28 Jul 2005 13:46:41 +0200

pslib (0.2.4-1) unstable; urgency=low

  * New upstream version.
  * Create unique internal template names (Closes: #260366)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 20 Jul 2004 14:12:58 +0200

pslib (0.2.3-1) unstable; urgency=low

  * New upstream version.
  * Fixed bugin PS_fill_stroke() (Closes: #257817)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 16 Jul 2004 15:19:08 +0200

pslib (0.2.2-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 16 Jun 2004 22:36:32 +0200

pslib (0.2.1-1) unstable; urgency=low

  * New upstream version.
  * Added watch file

 -- Uwe Steinmann <steinm@debian.org>  Wed, 09 Jun 2004 12:01:12 +0200

pslib (0.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 03 Jun 2004 17:09:42 +0200

pslib (0.1.15-1) unstable; urgency=low

  * New upstream version.
  * added version of pslib1 to shlibs
  * fixed email of maintainer in control file

 -- Uwe Steinmann <steinm@debian.org>  Thu, 06 May 2004 13:04:09 +0100

pslib (0.1.14-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 29 Apr 2004 16:49:47 +0100

pslib (0.1.13-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 22 Apr 2004 08:55:51 +0100

pslib (0.1.12-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 21 Apr 2004 09:05:08 +0100

pslib (0.1.11-1) unstable; urgency=low

  * New upstream version.
  * include files are back in /usr/include/libps

 -- Uwe Steinmann <steinm@debian.org>  Wed, 07 Apr 2004 09:05:08 +0100

pslib (0.1.10-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 07 Apr 2004 18:35:35 +0100

pslib (0.1.9-1) unstable; urgency=low

  * New upstream version.
  * BuildDepend on intltool >= 0.18 is sufficient, libpng2-dev is a
    valid alternative to libpng12-dev

 -- Uwe Steinmann <steinm@debian.org>  Wed, 07 Apr 2004 09:51:31 +0100

pslib (0.1.8-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Fri, 26 Mar 2004 11:14:50 +0100

pslib (0.1.7-1) unstable; urgency=low

  * New upstream version.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 25 Mar 2004 09:56:44 +0100

pslib (0.1.6-2) unstable; urgency=low

  * Changed section for dev package from devel to libdevel

 -- Uwe Steinmann <steinm@debian.org>  Mon, 22 Mar 2004 09:56:44 +0100

pslib (0.1.6-1) unstable; urgency=low

  * New upstream version.


