=== debian/control ===
Source: pslib
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
Build-Depends: debhelper (>= 11), quilt, intltool (>= 0.18), libpng-dev | libpng2-dev, libjpeg-dev, libgif-dev, docbook-to-man, docbook-utils
Standards-Version: 4.4.0
Homepage: http://pslib.sourceforge.net/
Vcs-Git: https://git.code.sf.net/p/pslib/git

Package: pslib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, pslib1 (= ${binary:Version}), libjpeg-dev, libpng-dev | libpng2-dev, libgif-dev
Description: development files for pslib
 pslib is a library to create PostScript files

Package: pslib1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to create PostScript files
 pslib is a library to create PostScript files. It offers many drawing
 primitives, image output and very sophisticated text rendering.
 It can read external Type1 fonts and embed them into the output file.
 It supports pdfmarks which makes it in combination with ghostscript's
 pdfwriter an alternative for libraries creating PDF.
