## pslib 0.4.8

=== debian/changelog ===
pslib (0.4.8-1) unstable; urgency=low

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Wed, 10 Jul 2024 07:22:18 +0200
