=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pslib
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
+Maintainer: Uwe Steinmann <steinm@debian.org>
 Build-Depends: debhelper (>= 11), quilt, intltool (>= 0.18), libpng-dev | libpng2-dev, libjpeg-dev, libgif-dev, docbook-to-man, docbook-utils
 Standards-Version: 4.4.0
 Homepage: http://pslib.sourceforge.net/
