=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build/
