=== debian/watch ===
version=3
http://sf.net/pslib/pslib-([0-9.]+)\.tar\.gz
